
int     dr_get_cdrom_status(char * fileName, unsigned int * status);


void    main( void )
{
    unsigned int            result;
    char                    fileName[ 9 ];

    printf("Get device status = %X\n", dr_get_cdrom_status(fileName, &result));
    if (result & 0x0400)
    {
        printf("Audio is playing\n");
    }
    if (result & 0x0200)
    {
        printf("Red book and HSG addressing both supported\n");
    }
    if (result & 0x0100)
    {
        printf("Audio channel control supported\n");
    }
    if (result & 0x0080)
    {
        printf("Prefetch requests supported\n");
    }
    if (result & 0x0020)
    {
        printf("Interleaving supported\n");
    }
    if (result & 0x0010)
    {
        printf("Audio/video track playback supported\n");
    }
    if (result & 0x0008)
    {
        printf("Disk is writable\n");
    }
    if (result & 0x0004)
    {
        printf("Raw and cooked read supported\n");
    }
    if (result & 0x0002)
    {
        printf("Door is unlocked\n");
    }
    if (result & 0x0001)
    {
        printf("Door is open\n");
    }
}
struct  sDeviceStatus
{
    char Command ;
    char *Result ;
}   deviceStatus ;



/*
deviceStatus    STRUCT
        Command BYTE    ?
        Result  DWORD   ?
deviceStatus    ENDS

; get device status
;
dr_get_cdrom_status     PROC    USES BX CX DX DS        FileName:DWORD,Status:DWORD

        LOCAL   Buffer:deviceStatus
        LOCAL   Handle:WORD

        lds     DX,FileName
        mov     AX,3D02H
        int     21H
        .IF !CARRY?
                mov     BX,AX
                mov     Handle,BX
                mov     Buffer.Command,6
                mov     CX,5
                lea     DX,Buffer
                push    SS
                pop     DS
                mov     AX,4402H
                int     21H
                .IF !CARRY?
                        xor     AX,AX
                        lds     BX,Status
                        mov     DX,WORD PTR Buffer.Result
                        mov     DS:[BX],DX
                .ENDIF
                push    AX
                mov     BX,Handle
                mov     AH,3EH
                int     21H
                pop     AX
        .ENDIF
        ret
dr_get_cdrom_status     ENDP
*/
